<?php
$zion_blog_options = zion_blog_theme_options();
$main_banner_category = $zion_blog_options['main_banner_category'];
?>

<?php
if ($main_banner_category && 'none' != $main_banner_category) {
    $args = [
        'post_type' => 'post',
        'posts_per_page' => 3,
        'post_status' => 'publish',
        'order' => 'desc',
        'orderby' => 'menu_order date',
        'tax_query' => [
            'relation' => 'AND',
            [
                'taxonomy' => 'category',
                'field' => 'slug',
                'terms' => [$main_banner_category],
            ],
        ],
    ];
} else {
    $args = [
        'post_type' => 'post',
        'posts_per_page' => 3,
        'post_status' => 'publish',
        'order' => 'desc',
        'orderby' => 'menu_order date',
    ];
}

$blog_query = new WP_Query($args);
$loop = 0;

if ($blog_query->have_posts()): ?>


<div class="main-slider">
    
    <div class="row">
	<div class="main-slider">
		<div class="cSlider cSlider--single">
        <?php
            while ($blog_query->have_posts()):
                $blog_query->the_post();

                $image_src = wp_get_attachment_image_src(
                    get_post_thumbnail_id(),
                    'full'
                );
                if($image_src){
                    $url = $image_src[0];
                    }

                    if (!empty($image_src)) {
                        $image_style =
                            "style='background-image:url(" . esc_url($url) . ")'"; ?>
                         <?php
                    } else {
                        $image_style = '';
                    }
                ?>
            
			<div class="cSlider__item" <?php echo wp_kses_post($image_style); ?>>
            <div class="container"><h2>
								<a href="<?php echo esc_url(get_the_permalink()); ?>"><?php the_title(); ?></a>
							</h2></div>
                </div>
            <?php endwhile;
            wp_reset_postdata();
            ?>
		</div>
		<div class="cSlider cSlider--nav widget">
        <ul>
        <?php while ($blog_query->have_posts()):
                $blog_query->the_post();

                $image_src = wp_get_attachment_image_src(
                    get_post_thumbnail_id(),
                    'zion-blog-custom-size'
                );

            if($image_src){
                $url = $image_src[0];
                }
            ?>
			<li class="recent-post cSlider__item csnav-item"> 
                <?php 
                    $post_thumbnail_id = wp_get_attachment_image_src(
                        get_post_thumbnail_id(),
                        'thumbnail'
                    );
                    if (!empty($post_thumbnail_id)) {
                        $image_style = $post_thumbnail_id[0] ;
                    } else {
                        $image_style = '';
                    }

                ?>
                
                    <a href="#" class="recent-post-thumb"><img src="<?php echo $image_style; ?>"></a>
                    <div class="item-details">
                        <h3 class="recent-post-title"><a href="<?php echo esc_url(get_the_permalink()); ?>"><?php the_title(); ?></a></h3>
                    </div>
                </li>
                            <?php endwhile;
            wp_reset_postdata();
            ?>
            </ul>
		</div>
	</div>
</div>
</div>
            </div>


<?php endif;
?>

